Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type.descriptor
Interface WrapperOptions

    public interface WrapperOptions

Gives binding (nullSafeSet) and extracting (nullSafeGet) code access to options.

Method Summary
`LobCreator` | `getLobCreator()` Obtain access to the `LobCreator`
`SqlTypeDescriptor` | `remapSqlTypeDescriptor(SqlTypeDescriptor sqlTypeDescriptor)` Allow remapping of descriptors for dealing with sql type.
`boolean` | `useStreamForLobBinding()` Should streams be used for binding LOB values.

Method Detail

### useStreamForLobBinding

    boolean useStreamForLobBinding()

  Should streams be used for binding LOB values.

  Returns:
    `true`/`false`

### getLobCreator

    LobCreator getLobCreator()

  Obtain access to the `LobCreator`

  Returns:
    The LOB creator

### remapSqlTypeDescriptor

    SqlTypeDescriptor remapSqlTypeDescriptor(SqlTypeDescriptor sqlTypeDescriptor)

  Allow remapping of descriptors for dealing with sql type.

  Parameters:
    `sqlTypeDescriptor` - The known descriptor
  Returns:
    The remapped descriptor. May be the same as the known descriptor indicating no remapping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.